# Movement

## Module endpoints

* [`GET /movements`](#get-movements)
* [`GET /movements/:id`](#get-movements-id)

### `GET /movements`

> `GET` <https://api.slyk.i&#x6F;**/movements>\*\*

Returns a paginated list of `movements`.

{% tabs %}
{% tab title="Available Filters" %}

| Name              |       Type      | Example                                                                                         |
| ----------------- | :-------------: | ----------------------------------------------------------------------------------------------- |
| **assetCode**     |  `=` `in` `nin` | `filter[assetCode]=in:USD,EUR,BTC`                                                              |
| **createdAt**     | `=` `gte` `lte` | `filter[createdAt]=gte:2019-07-20&lte:2019-07-21`                                               |
| **id**            |  `=` `in` `nin` | `filter[id]=nin:802a5163-7ad3-4047-b600-088c1f746733,9d3bed88-34b6-4a06-aa79-ed4b32ba0d44`      |
| **transactionId** |  `=` `in` `nin` | `filter[transactionId]=802a5163-7ad3-4047-b600-088c1f746733`                                    |
| **walletId**      |  `=` `in` `nin` | `filter[walletId]=in:802a5163-7ad3-4047-b600-088c1f746733,9d3bed88-34b6-4a06-aa79-ed4b32ba0d44` |
| {% endtab %}      |                 |                                                                                                 |

{% tab title="Available Sorts" %}

| Name          | Example                                                            |
| ------------- | ------------------------------------------------------------------ |
| **amount**    | <p><code>sort=amount</code><br><code>sort=-amount</code></p>       |
| **createdAt** | <p><code>sort=createdAt</code><br><code>sort=-createdAt</code></p> |
| {% endtab %}  |                                                                    |

{% tab title="Available Includes" %}

| Name            | Example               |
| --------------- | --------------------- |
| **transaction** | `include=transaction` |
| {% endtab %}    |                       |

{% tab title="Paginate Options" %}

| Name         | Description                                             | Example          |
| ------------ | ------------------------------------------------------- | ---------------- |
| **size**     | Defines the number of results per page. Default = 30.   | `page[size]=2`   |
| **number**   | Defines the number of the page to retrieve. Default = 1 | `page[number]=2` |
| {% endtab %} |                                                         |                  |

{% tab title="Response" %}

```javascript
{
  "data": [
    {
      "amount": "4.50",
      "assetCode": "USD",
      "code": "deposit",
      "createdAt": "2019-07-20T14:30:37.483Z",
      "id": "4617b329-eca0-487d-9086-9bbf833b6c86",
      "transactionId": "307d1665-23ba-4ff1-9f0a-1a5f480e5a10",
      "updatedAt": "2019-07-20T14:30:37.483Z",
      "walletId": "d4f146bf-4c01-4efc-bc3e-2f9663dc7256"
    },
    {
      "amount": "6.00",
      "assetCode": "USD",
      "code": "deposit",
      "createdAt": "2017-10-18T11:39:26.732Z",
      "id": "5c4a04cc-4e48-4829-bd81-692bb0f0ac08",
      "transactionId": "e3fd199c-b137-4cb3-9644-533345239772",
      "updatedAt": "2017-10-18T11:39:26.732Z",
      "walletId": "c7b0fddf-48a9-4867-b712-c71559cf81ac"
    }
  ],
  "total": 7
}
```

{% endtab %}
{% endtabs %}

### `GET /movements/:id`

> `GET` <https://api.slyk.i&#x6F;**/movements/:id>\*\*

Returns the `movement` of the given `id`.

{% tabs %}
{% tab title="Available Includes" %}

| Name            | Example               |
| --------------- | --------------------- |
| **transaction** | `include=transaction` |
| {% endtab %}    |                       |

{% tab title="Response" %}

```javascript
{
  "data": {
    "amount": "4.50000000",
    "assetCode": "USD",
    "code": "deposit",
    "createdAt": "2019-07-20T14:30:37.483Z",
    "id": "82f5ff09-8afe-41be-8f12-519d78251f5b",
    "transaction": {
      "amount": "4.50000000",
      "assetCode": "garply",
      "code": "internal",
      "createdAt": "2019-07-20T14:30:37.483Z",
      "customData": { "foo": "bar" },
      "description": "foobar",
      "destinationAddress": null,
      "destinationWalletId": "d4f146bf-4c01-4efc-bc3e-2f9663dc7256",
      "externalId": null,
      "externalReference": null,
      "id": "307d1665-23ba-4ff1-9f0a-1a5f480e5a10",
      "metadata": {},
      "originAddress": null,
      "originWalletId": null,
      "status": "confirmed",
      "type": "deposit",
      "updatedAt": "2019-07-20T14:30:37.483Z"
    },
    "transactionId": "307d1665-23ba-4ff1-9f0a-1a5f480e5a10",
    "updatedAt": "2019-07-20T14:30:37.483Z",
    "walletId": "d4f146bf-4c01-4efc-bc3e-2f9663dc7256"
  }
}
```

{% endtab %}
{% endtabs %}
